<?php

namespace HCM\FPA\Services;

use HCM\FPA\Repository\RelatCustomEventoRepository;
use Doctrine\ORM\EntityManager;

class RelatCustomEventoService {

    /**
     * @var relatCustomMovimentacaoRepository
     */
    protected $relatCustomEventpRepository;

    public function __construct(EntityManager $entityManager, RelatCustomEventoRepository $relatCustomEventoRepository) {
        $this->entityManager = $entityManager;
        $this->relatCustomEventoRepository = $relatCustomEventoRepository;
    }

    /**
     * @return int
     */

    public function getRelatCustomEvento($parameters, $filters) {
        return $this->relatCustomEventoRepository->getRelatCustomEvento($parameters, $filters);
    }

    public function getParametrizacaoEsocial($parameters, $conditions){
        return  $this->relatCustomEventoRepository->getParametrizacaoEsocial($parameters, $conditions); 
        
    }
} 