<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class TipoContaPagarRepository {
    
    protected  $connection;
    
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    public function validaRestricaoChavePrimaria($codigo, $nrorg){
        $params = array($codigo, $nrorg);

        $query = <<<SQL
            select count(*) QTDE from TIPOCTPAGAR where CDTPCTPAGAR = ? and NRORG = ?
SQL;
        $retorno = $this->connection->fetchAssoc($query, $params);
        if($retorno["QTDE"] > 0)
            return true;
        else
            return false;
    }
} 
   