<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class IncidenciaIrffService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function validaCamposVazios(&$row){
        $row['DSNRTIPOINCIDE'] =  (!isset($row['DSNRTIPOINCIDE']) || empty($row['DSNRTIPOINCIDE']))  ?  NULL : $row['DSNRTIPOINCIDE'];
    }
}